// -*- C++ -*-
//
// ESF_RefCount_Guard.i,v 1.3 2005/11/10 06:47:23 ossama Exp

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

template<class T> ACE_INLINE
TAO_ESF_RefCount_Guard<T>::
    TAO_ESF_RefCount_Guard (T &refcount)
  :  refcount_ (refcount)
{
  this->refcount_++;
}

template<class T> ACE_INLINE
TAO_ESF_RefCount_Guard<T>::
    ~TAO_ESF_RefCount_Guard (void)
{
  this->refcount_--;
}

TAO_END_VERSIONED_NAMESPACE_DECL
