// ECG_Simple_Address_Server.cpp,v 1.3 2006/03/14 06:14:25 jtc Exp

#include "orbsvcs/Event/ECG_Simple_Address_Server.h"

#if !defined(__ACE_INLINE__)
#include "orbsvcs/Event/ECG_Simple_Address_Server.i"
#endif /* __ACE_INLINE__ */

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_ECG_Simple_Address_Server::TAO_ECG_Simple_Address_Server (void)
{
}

TAO_ECG_Simple_Address_Server::~TAO_ECG_Simple_Address_Server (void)
{
}

int
TAO_ECG_Simple_Address_Server::init (const char *mcast_addr)
{
  return this->addr_.set (mcast_addr);
}

void
TAO_ECG_Simple_Address_Server::get_addr (
    const RtecEventComm::EventHeader& /*header*/,
    RtecUDPAdmin::UDP_Addr_out addr
    ACE_ENV_ARG_DECL_NOT_USED)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  // unsigned long
  addr.ipaddr = this->addr_.get_ip_address ();
  // unsigned short
  addr.port = this->addr_.get_port_number ();
}

TAO_END_VERSIONED_NAMESPACE_DECL
