// -*- C++ -*-
//
// DII_Arguments.inl,v 1.3 2005/11/03 17:38:45 ossama Exp

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

namespace TAO
{
  ACE_INLINE
  NamedValue_Argument::NamedValue_Argument (CORBA::NamedValue_ptr x)
    : x_ (x)
    , byte_order_ (0)
  {
  }

  ACE_INLINE int
  NamedValue_Argument::byte_order (void) const
  {
    return this->byte_order_;
  }

  // ===================================================================

  ACE_INLINE
  NVList_Argument::NVList_Argument (CORBA::NVList_ptr x,
                                    bool lazy_eval)
    : x_ (x)
      , lazy_evaluation_ (lazy_eval)
  {
  }
}

TAO_END_VERSIONED_NAMESPACE_DECL
