// -*- C++ -*-
//
// Servant_Base.i,v 1.12 2005/11/04 09:26:55 ossama Exp

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

ACE_INLINE
TAO_ServantBase_var::TAO_ServantBase_var (void)
  : ptr_ (0)
{
}

ACE_INLINE
TAO_ServantBase_var::TAO_ServantBase_var (TAO_ServantBase *p)
  : ptr_ (p)
{
}

ACE_INLINE TAO_ServantBase *
TAO_ServantBase_var::operator->() const
{
  return this->ptr_;
}

ACE_INLINE TAO_ServantBase *
TAO_ServantBase_var::in (void) const
{
  return this->ptr_;
}

ACE_INLINE TAO_ServantBase *&
TAO_ServantBase_var::inout (void)
{
  return this->ptr_;
}

// -------------------------------------------------------------------

ACE_INLINE u_long
TAO_Servant_Hash::operator () (PortableServer::Servant servant) const
{
  return static_cast<u_long> (reinterpret_cast<ptrdiff_t> (servant));
}

TAO_END_VERSIONED_NAMESPACE_DECL
