// -*- C++ -*-

//=============================================================================
/**
 *  @file StrategyFactory.h
 *
 *  StrategyFactory.h,v 1.6 2005/11/27 12:04:07 ossama Exp
 *
 *  @author  Johnny Willemsen  <jwillemsen@remedy.nl>
 */
//=============================================================================

#ifndef TAO_PORTABLESERVER_STRATEGYFACTORY_H
#define TAO_PORTABLESERVER_STRATEGYFACTORY_H

#include /**/ "ace/pre.h"

#include "ace/Service_Object.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

#include "tao/orbconf.h"

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

namespace TAO
{
  namespace Portable_Server
  {
    class StrategyFactory
      : public ACE_Service_Object
    {
    public:
      virtual ~StrategyFactory (void);
    };
  } /* namespace Portable_Server */
} /* namespace TAO */

TAO_END_VERSIONED_NAMESPACE_DECL

#include /**/ "ace/post.h"

#endif /* TAO_PORTABLESERVER_STRATEGYFACTORY_H */
