// NULL_Connection_Purging_Strategy.cpp,v 1.7 2006/03/10 07:19:18 jtc Exp

#include "tao/Strategies/NULL_Connection_Purging_Strategy.h"
#include "tao/Transport.h"

ACE_RCSID(tao, NULL_Connection_Purging_Strategy, "NULL_Connection_Purging_Strategy.cpp,v 1.7 2006/03/10 07:19:18 jtc Exp")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_NULL_Connection_Purging_Strategy::TAO_NULL_Connection_Purging_Strategy (
                                                           int cache_maximum)
 : TAO_Connection_Purging_Strategy (cache_maximum)
{
}

TAO_NULL_Connection_Purging_Strategy::~TAO_NULL_Connection_Purging_Strategy (void)
{
}

void
TAO_NULL_Connection_Purging_Strategy::update_item (TAO_Transport* transport)
{
  ACE_UNUSED_ARG (transport);
}

int
TAO_NULL_Connection_Purging_Strategy::cache_maximum (void) const
{
  return -1;
}

TAO_END_VERSIONED_NAMESPACE_DECL
