// EC_Filter_Builder.cpp,v 1.7 2006/03/14 06:14:25 jtc Exp

#include "orbsvcs/Event/EC_Filter_Builder.h"
#include "orbsvcs/Event/EC_Filter.h"

#if ! defined (__ACE_INLINE__)
#include "orbsvcs/Event/EC_Filter_Builder.i"
#endif /* __ACE_INLINE__ */

ACE_RCSID(Event, EC_Filter_Builder, "EC_Filter_Builder.cpp,v 1.7 2006/03/14 06:14:25 jtc Exp")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_EC_Filter_Builder::~TAO_EC_Filter_Builder (void)
{
}

// ****************************************************************

TAO_EC_Null_Filter_Builder::~TAO_EC_Null_Filter_Builder (void)
{
}

TAO_EC_Filter*
TAO_EC_Null_Filter_Builder::build (
    TAO_EC_ProxyPushSupplier *,
    RtecEventChannelAdmin::ConsumerQOS&
    ACE_ENV_ARG_DECL_NOT_USED) const
{
  return new TAO_EC_Null_Filter;
}

TAO_END_VERSIONED_NAMESPACE_DECL
