#include "orbsvcs/Log/Hash_Persistence_Strategy.h"
#include "orbsvcs/Log/Hash_LogStore.h"

ACE_RCSID (Log,
           Hash_Persistence_Strategy,
           "Hash_Persistence_Strategy.cpp,v 1.2 2005/11/14 22:03:48 ossama Exp")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_Hash_Persistence_Strategy::TAO_Hash_Persistence_Strategy()
{
}


TAO_Hash_Persistence_Strategy::~TAO_Hash_Persistence_Strategy()
{
}

TAO_LogStore *
TAO_Hash_Persistence_Strategy::create_log_store(CORBA::ORB_ptr orb,
                                                TAO_LogMgr_i *mgr)
{
  return new TAO_Hash_LogStore (orb, mgr);
}

TAO_END_VERSIONED_NAMESPACE_DECL
