// Transport_Timer.cpp,v 1.5 2006/03/10 07:19:07 jtc Exp

#include "tao/Transport_Timer.h"
#include "tao/Transport.h"

ACE_RCSID (tao, 
           Transport_Timer, 
           "Transport_Timer.cpp,v 1.5 2006/03/10 07:19:07 jtc Exp")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_Transport_Timer::TAO_Transport_Timer (TAO_Transport *transport)
  : transport_ (transport)
{
}

int
TAO_Transport_Timer::handle_timeout (const ACE_Time_Value &current_time,
                                     const void *act)
{
  return this->transport_->handle_timeout (current_time, act);
}

TAO_END_VERSIONED_NAMESPACE_DECL
